Status: Under Review Priority: Must have
Author: Christopher Hlubek Category:
Created: 2012-12-05 Assigned To: Karsten Dambekalns
Updated: 2013-11-26 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Composer installer overwrites Settings.yaml.example
Description

The Flow composer installer seems to overwrite an existing file in Configuration/Settings.yaml.example which should not happen for
custom distributions.

History
#1 - 2012-12-05 14:04 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Well, when I added those files, I figured the example file should be updated with Flow - otherwise one would easily be trapped with an outdated
example file. We could move it to be a "default" instead of "essential", then it would not be overwritten. But also not be overwritten in case you would
want it to be overwritten because it is not part of a custom distribution…

#2 - 2012-12-06 18:25 - Christopher Hlubek

I would be in favor of using the "default" approach which sounds reasonable for me. As a user I would not expect the example file to be updated on
subsequent calls to "composer update".

#3 - 2012-12-13 12:35 - Karsten Dambekalns
- Affected Flow version changed from Git 1.2 (master) to Git master

#4 - 2013-11-26 11:38 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25686

#5 - 2013-11-26 19:12 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25686
